Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.InputMethodQuery

    java.lang.Object
      java.lang.Enum<Qt.InputMethodQuery>
          com.trolltech.qt.core.Qt.InputMethodQuery

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.InputMethodQuery>

Enclosing interface:
  Qt

    public static enum Qt.InputMethodQuery

extends java.lang.Enum<Qt.InputMethodQuery>
implements QtEnumerator

Press link for info on Qt.InputMethodQuery

Enum Constant Summary
`ImCurrentSelection` The currently selected text.
`ImCursorPosition` The logical position of the cursor within the text surrounding the input area (see `ImSurroundingText`).
`ImFont` The currently used font for text input.
`ImMicroFocus` The rectangle covering the area of the input cursor in widget coordinates.
`ImSurroundingText` The plain text around the input area, for example the current paragraph.

Method Summary
`static Qt.InputMethodQuery` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.InputMethodQuery` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.InputMethodQuery[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ImMicroFocus

    public static final Qt.InputMethodQuery ImMicroFocus

  The rectangle covering the area of the input cursor in widget coordinates.

### ImFont

    public static final Qt.InputMethodQuery ImFont

  The currently used font for text input.

### ImCursorPosition

    public static final Qt.InputMethodQuery ImCursorPosition

  The logical position of the cursor within the text surrounding the input area (see `ImSurroundingText`).

### ImSurroundingText

    public static final Qt.InputMethodQuery ImSurroundingText

  The plain text around the input area, for example the current paragraph.

### ImCurrentSelection

    public static final Qt.InputMethodQuery ImCurrentSelection

  The currently selected text.

Method Detail

### values

    public static final Qt.InputMethodQuery[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.InputMethodQuery c : Qt.InputMethodQuery.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.InputMethodQuery valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.InputMethodQuery resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD